## GimpColorHexEntry

GimpColorHexEntry — Widget for entering a color's hex triplet.

## Synopsis

                        GimpColorHexEntry;
    GtkWidget *         gimp_color_hex_entry_new            (void);
    void                gimp_color_hex_entry_set_color      (GimpColorHexEntry *entry,
                                                             const GimpRGB *color);
    void                gimp_color_hex_entry_get_color      (GimpColorHexEntry *entry,
                                                             GimpRGB *color);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkEntry
                               +----GimpColorHexEntry

## Implemented Interfaces

GimpColorHexEntry implements GtkBuildable, AtkImplementorIface, GtkEditable and GtkCellEditable.

## Signals

      "color-changed"                                  : Run First

## Description

Widget for entering a color's hex triplet.

## Details

### GimpColorHexEntry

    typedef struct _GimpColorHexEntry GimpColorHexEntry;

### gimp_color_hex_entry_new ()

    GtkWidget *         gimp_color_hex_entry_new            (void);

Returns : | a new GimpColorHexEntry widget

Since GIMP 2.2

### gimp_color_hex_entry_set_color ()

    void                gimp_color_hex_entry_set_color      (GimpColorHexEntry *entry,
                                                             const GimpRGB *color);

Sets the color displayed by a GimpColorHexEntry. If the new color is different to the previously set color, the "color-changed" signal is emitted.

`entry` : | a GimpColorHexEntry widget
`color` : | pointer to a GimpRGB

Since GIMP 2.2

### gimp_color_hex_entry_get_color ()

    void                gimp_color_hex_entry_get_color      (GimpColorHexEntry *entry,
                                                             GimpRGB *color);

Retrieves the color value displayed by a GimpColorHexEntry.

`entry` : | a GimpColorHexEntry widget
`color` : | pointer to a GimpRGB

Since GIMP 2.2

## Signal Details

### The `"color-changed"` signal

    void                user_function                      (GimpColorHexEntry *gimpcolorhexentry,
                                                            gpointer           user_data)              : Run First

`gimpcolorhexentry` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.